libcdr::CDRContentCollector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CDRContentCollector Class Reference

`#include <CDRContentCollector.h>`

Inheritance diagram for libcdr::CDRContentCollector:

## Public Member Functions
| CDRContentCollector (CDRParserState &ps, ::librevenge::RVNGDrawingInterface *painter, bool reverseOrder=true)
virtual | ~CDRContentCollector ()
void | collectPage (unsigned level)
void | collectObject (unsigned level)
void | collectGroup (unsigned level)
void | collectVect (unsigned level)
void | collectOtherList ()
void | collectPath (const CDRPath &path)
void | collectLevel (unsigned level)
void | collectTransform (const CDRTransforms &transforms, bool considerGroupTransform)
void | collectFillStyle (unsigned, const CDRFillStyle &)
void | collectFillStyleId (unsigned id)
void | collectLineStyle (unsigned, const CDRLineStyle &)
void | collectLineStyleId (unsigned id)
void | collectRotate (double angle, double cx, double cy)
void | collectFlags (unsigned flags, bool considerFlags)
void | collectPageSize (double, double, double, double)
void | collectPolygonTransform (unsigned numAngles, unsigned nextPoint, double rx, double ry, double cx, double cy)
void | collectBitmap (unsigned imageId, double x1, double x2, double y1, double y2)
void | collectBmp (unsigned, unsigned, unsigned, unsigned, unsigned, const std::vector< unsigned > &, const std::vector< unsigned char > &)
void | collectBmp (unsigned, const std::vector< unsigned char > &)
void | collectBmpf (unsigned, unsigned, unsigned, const std::vector< unsigned char > &)
void | collectPpdt (const std::vector< std::pair< double, double > > &points, const std::vector< unsigned > &knotVector)
void | collectFillTransform (const CDRTransforms &fillTrafo)
void | collectFillOpacity (double opacity)
void | collectPolygon ()
void | collectSpline ()
void | collectColorProfile (const std::vector< unsigned char > &)
void | collectBBox (double x0, double y0, double x1, double y1)
void | collectSpnd (unsigned spnd)
void | collectVectorPattern (unsigned id, const librevenge::RVNGBinaryData &data)
void | collectPaletteEntry (unsigned, unsigned, const CDRColor &)
void | collectText (unsigned, unsigned, const std::vector< unsigned char > &, const std::vector< unsigned char > &, const std::map< unsigned, CDRStyle > &)
void | collectArtisticText (double x, double y)
void | collectParagraphText (double x, double y, double width, double height)
void | collectStld (unsigned, const CDRStyle &)
void | collectStyleId (unsigned styleId)
Public Member Functions inherited from libcdr::CDRCollector
| CDRCollector ()
virtual | ~CDRCollector ()

## Private Member Functions
| CDRContentCollector (const CDRContentCollector &)
CDRContentCollector & | operator= (const CDRContentCollector &)
void | _startDocument ()
void | _endDocument ()
void | _startPage (double width, double height)
void | _endPage ()
void | _flushCurrentPath ()
void | _fillProperties (librevenge::RVNGPropertyList &propList)
void | _lineProperties (librevenge::RVNGPropertyList &propList)
void | _generateBitmapFromPattern (librevenge::RVNGBinaryData &bitmap, const CDRPattern &pattern, const CDRColor &fgColor, const CDRColor &bgColor)

## Private Attributes
librevenge::RVNGDrawingInterface * | m_painter
bool | m_isDocumentStarted
bool | m_isPageProperties
bool | m_isPageStarted
bool | m_ignorePage
CDRPage | m_page
unsigned | m_pageIndex
CDRFillStyle | m_currentFillStyle
CDRLineStyle | m_currentLineStyle
unsigned | m_spnd
unsigned | m_currentObjectLevel
unsigned | m_currentGroupLevel
unsigned | m_currentVectLevel
unsigned | m_currentPageLevel
unsigned | m_currentStyleId
CDRImage | m_currentImage
const std::vector< CDRTextLine > * | m_currentText
CDRBox | m_currentBBox
CDRBox | m_currentTextBox
CDRPath | m_currentPath
CDRTransforms | m_currentTransforms
CDRTransforms | m_fillTransforms
CDRPolygon * | m_polygon
bool | m_isInPolygon
bool | m_isInSpline
std::stack< CDROutputElementList > * | m_outputElementsStack
std::stack< CDROutputElementList > | m_contentOutputElementsStack
std::stack< CDROutputElementList > | m_fillOutputElementsStack
std::queue< CDROutputElementList > * | m_outputElementsQueue
std::queue< CDROutputElementList > | m_contentOutputElementsQueue
std::queue< CDROutputElementList > | m_fillOutputElementsQueue
std::stack< unsigned > | m_groupLevels
std::stack< CDRTransforms > | m_groupTransforms
CDRSplineData | m_splineData
double | m_fillOpacity
bool | m_reverseOrder
CDRParserState & | m_ps

## Constructor & Destructor Documentation

## § CDRContentCollector() [1/2]

libcdr::CDRContentCollector::CDRContentCollector | ( | CDRParserState & | ps,
|  | ::librevenge::RVNGDrawingInterface * | painter,
|  | bool | reverseOrder = `true`
| ) |  |

Referenced by collectStld().

## § ~CDRContentCollector()

libcdr::CDRContentCollector::~CDRContentCollector | ( |  | ) |
| virtual

## § CDRContentCollector() [2/2]

libcdr::CDRContentCollector::CDRContentCollector | ( | const CDRContentCollector & |  | ) |
| private

## Member Function Documentation

## § _endDocument()

void libcdr::CDRContentCollector::_endDocument | ( |  | ) |
| private

Referenced by collectStld().

## § _endPage()

void libcdr::CDRContentCollector::_endPage | ( |  | ) |
| private

Referenced by collectStld().

## § _fillProperties()

void libcdr::CDRContentCollector::_fillProperties | ( | librevenge::RVNGPropertyList & | propList | ) |
| private

Referenced by collectStld().

## § _flushCurrentPath()

void libcdr::CDRContentCollector::_flushCurrentPath | ( |  | ) |
| private

Referenced by collectStld().

## § _generateBitmapFromPattern()

void libcdr::CDRContentCollector::_generateBitmapFromPattern | ( | librevenge::RVNGBinaryData & | bitmap,
|  | const CDRPattern & | pattern,
|  | const CDRColor & | fgColor,
|  | const CDRColor & | bgColor
| ) |  |
| private

Referenced by collectStld().

## § _lineProperties()

void libcdr::CDRContentCollector::_lineProperties | ( | librevenge::RVNGPropertyList & | propList | ) |
| private

Referenced by collectStld().

## § _startDocument()

void libcdr::CDRContentCollector::_startDocument | ( |  | ) |
| private

Referenced by collectStld().

## § _startPage()

void libcdr::CDRContentCollector::_startPage | ( | double | width,
|  | double | height
| ) |  |
| private

Referenced by collectStld().

## § collectArtisticText()

void libcdr::CDRContentCollector::collectArtisticText | ( | double | x,
|  | double | y
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectText().

## § collectBBox()

void libcdr::CDRContentCollector::collectBBox | ( | double | x0,
|  | double | y0,
|  | double | x1,
|  | double | y1
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectColorProfile().

## § collectBitmap()

void libcdr::CDRContentCollector::collectBitmap | ( | unsigned | imageId,
|  | double | x1,
|  | double | x2,
|  | double | y1,
|  | double | y2
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectPageSize().

## § collectBmp() [1/2]

void libcdr::CDRContentCollector::collectBmp | ( | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | const std::vector< unsigned > & | ,
|  | const std::vector< unsigned char > & |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectBmp() [2/2]

void libcdr::CDRContentCollector::collectBmp | ( | unsigned | ,
|  | const std::vector< unsigned char > & |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectBmpf()

void libcdr::CDRContentCollector::collectBmpf | ( | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | const std::vector< unsigned char > & |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectColorProfile()

void libcdr::CDRContentCollector::collectColorProfile | ( | const std::vector< unsigned char > & |  | ) |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectFillOpacity()

void libcdr::CDRContentCollector::collectFillOpacity | ( | double | opacity | ) |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectBmpf().

## § collectFillStyle()

void libcdr::CDRContentCollector::collectFillStyle | ( | unsigned | ,
|  | const CDRFillStyle & |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectFillStyleId()

void libcdr::CDRContentCollector::collectFillStyleId | ( | unsigned | id | ) |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectFillStyle().

## § collectFillTransform()

void libcdr::CDRContentCollector::collectFillTransform | ( | const CDRTransforms & | fillTrafo | ) |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectBmpf().

## § collectFlags()

void libcdr::CDRContentCollector::collectFlags | ( | unsigned | flags,
|  | bool | considerFlags
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectLineStyle().

## § collectGroup()

void libcdr::CDRContentCollector::collectGroup | ( | unsigned | level | ) |
| virtual

Implements libcdr::CDRCollector.

## § collectLevel()

void libcdr::CDRContentCollector::collectLevel | ( | unsigned | level | ) |
| virtual

Implements libcdr::CDRCollector.

## § collectLineStyle()

void libcdr::CDRContentCollector::collectLineStyle | ( | unsigned | ,
|  | const CDRLineStyle & |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectLineStyleId()

void libcdr::CDRContentCollector::collectLineStyleId | ( | unsigned | id | ) |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectLineStyle().

## § collectObject()

void libcdr::CDRContentCollector::collectObject | ( | unsigned | level | ) |
| virtual

Implements libcdr::CDRCollector.

## § collectOtherList()

void libcdr::CDRContentCollector::collectOtherList | ( |  | ) |
| virtual

Implements libcdr::CDRCollector.

## § collectPage()

void libcdr::CDRContentCollector::collectPage | ( | unsigned | level | ) |
| virtual

Implements libcdr::CDRCollector.

## § collectPageSize()

void libcdr::CDRContentCollector::collectPageSize | ( | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectPaletteEntry()

void libcdr::CDRContentCollector::collectPaletteEntry | ( | unsigned | ,
|  | unsigned | ,
|  | const CDRColor & |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectParagraphText()

void libcdr::CDRContentCollector::collectParagraphText | ( | double | x,
|  | double | y,
|  | double | width,
|  | double | height
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectText().

## § collectPath()

void libcdr::CDRContentCollector::collectPath | ( | const CDRPath & | path | ) |
| virtual

Implements libcdr::CDRCollector.

## § collectPolygon()

void libcdr::CDRContentCollector::collectPolygon | ( |  | ) |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectBmpf().

## § collectPolygonTransform()

void libcdr::CDRContentCollector::collectPolygonTransform | ( | unsigned | numAngles,
|  | unsigned | nextPoint,
|  | double | rx,
|  | double | ry,
|  | double | cx,
|  | double | cy
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectPageSize().

## § collectPpdt()

void libcdr::CDRContentCollector::collectPpdt | ( | const std::vector< std::pair< double, double > > & | points,
|  | const std::vector< unsigned > & | knotVector
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectBmpf().

## § collectRotate()

void libcdr::CDRContentCollector::collectRotate | ( | double | angle,
|  | double | cx,
|  | double | cy
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectLineStyle().

## § collectSpline()

void libcdr::CDRContentCollector::collectSpline | ( |  | ) |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectBmpf().

## § collectSpnd()

void libcdr::CDRContentCollector::collectSpnd | ( | unsigned | spnd | ) |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectColorProfile().

## § collectStld()

void libcdr::CDRContentCollector::collectStld | ( | unsigned | ,
|  | const CDRStyle & |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectStyleId()

void libcdr::CDRContentCollector::collectStyleId | ( | unsigned | styleId | ) |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectStld().

## § collectText()

void libcdr::CDRContentCollector::collectText | ( | unsigned | ,
|  | unsigned | ,
|  | const std::vector< unsigned char > & | ,
|  | const std::vector< unsigned char > & | ,
|  | const std::map< unsigned, CDRStyle > & |
| ) |  |
| inlinevirtual

Implements libcdr::CDRCollector.

## § collectTransform()

void libcdr::CDRContentCollector::collectTransform | ( | const CDRTransforms & | transforms,
|  | bool | considerGroupTransform
| ) |  |
| virtual

Implements libcdr::CDRCollector.

## § collectVect()

void libcdr::CDRContentCollector::collectVect | ( | unsigned | level | ) |
| virtual

Implements libcdr::CDRCollector.

## § collectVectorPattern()

void libcdr::CDRContentCollector::collectVectorPattern | ( | unsigned | id,
|  | const librevenge::RVNGBinaryData & | data
| ) |  |
| virtual

Implements libcdr::CDRCollector.

Referenced by collectColorProfile().

## § operator=()

CDRContentCollector& libcdr::CDRContentCollector::operator= | ( | const CDRContentCollector & |  | ) |
| private

Referenced by collectStld().

## Member Data Documentation

## § m_contentOutputElementsQueue

std::queue<CDROutputElementList> libcdr::CDRContentCollector::m_contentOutputElementsQueue
| private

## § m_contentOutputElementsStack

std::stack<CDROutputElementList> libcdr::CDRContentCollector::m_contentOutputElementsStack
| private

## § m_currentBBox

CDRBox libcdr::CDRContentCollector::m_currentBBox
| private

## § m_currentFillStyle

CDRFillStyle libcdr::CDRContentCollector::m_currentFillStyle
| private

## § m_currentGroupLevel

unsigned libcdr::CDRContentCollector::m_currentGroupLevel
| private

## § m_currentImage

CDRImage libcdr::CDRContentCollector::m_currentImage
| private

## § m_currentLineStyle

CDRLineStyle libcdr::CDRContentCollector::m_currentLineStyle
| private

## § m_currentObjectLevel

unsigned libcdr::CDRContentCollector::m_currentObjectLevel
| private

## § m_currentPageLevel

unsigned libcdr::CDRContentCollector::m_currentPageLevel
| private

## § m_currentPath

CDRPath libcdr::CDRContentCollector::m_currentPath
| private

## § m_currentStyleId

unsigned libcdr::CDRContentCollector::m_currentStyleId
| private

## § m_currentText

const std::vector<CDRTextLine>* libcdr::CDRContentCollector::m_currentText
| private

## § m_currentTextBox

CDRBox libcdr::CDRContentCollector::m_currentTextBox
| private

## § m_currentTransforms

CDRTransforms libcdr::CDRContentCollector::m_currentTransforms
| private

## § m_currentVectLevel

unsigned libcdr::CDRContentCollector::m_currentVectLevel
| private

## § m_fillOpacity

double libcdr::CDRContentCollector::m_fillOpacity
| private

## § m_fillOutputElementsQueue

std::queue<CDROutputElementList> libcdr::CDRContentCollector::m_fillOutputElementsQueue
| private

## § m_fillOutputElementsStack

std::stack<CDROutputElementList> libcdr::CDRContentCollector::m_fillOutputElementsStack
| private

## § m_fillTransforms

CDRTransforms libcdr::CDRContentCollector::m_fillTransforms
| private

## § m_groupLevels

std::stack<unsigned> libcdr::CDRContentCollector::m_groupLevels
| private

## § m_groupTransforms

std::stack<CDRTransforms> libcdr::CDRContentCollector::m_groupTransforms
| private

## § m_ignorePage

bool libcdr::CDRContentCollector::m_ignorePage
| private

## § m_isDocumentStarted

bool libcdr::CDRContentCollector::m_isDocumentStarted
| private

## § m_isInPolygon

bool libcdr::CDRContentCollector::m_isInPolygon
| private

## § m_isInSpline

bool libcdr::CDRContentCollector::m_isInSpline
| private

## § m_isPageProperties

bool libcdr::CDRContentCollector::m_isPageProperties
| private

## § m_isPageStarted

bool libcdr::CDRContentCollector::m_isPageStarted
| private

## § m_outputElementsQueue

std::queue<CDROutputElementList>* libcdr::CDRContentCollector::m_outputElementsQueue
| private

## § m_outputElementsStack

std::stack<CDROutputElementList>* libcdr::CDRContentCollector::m_outputElementsStack
| private

## § m_page

CDRPage libcdr::CDRContentCollector::m_page
| private

## § m_pageIndex

unsigned libcdr::CDRContentCollector::m_pageIndex
| private

## § m_painter

librevenge::RVNGDrawingInterface* libcdr::CDRContentCollector::m_painter
| private

## § m_polygon

CDRPolygon* libcdr::CDRContentCollector::m_polygon
| private

## § m_ps

CDRParserState& libcdr::CDRContentCollector::m_ps
| private

## § m_reverseOrder

bool libcdr::CDRContentCollector::m_reverseOrder
| private

## § m_splineData

CDRSplineData libcdr::CDRContentCollector::m_splineData
| private

## § m_spnd

unsigned libcdr::CDRContentCollector::m_spnd
| private

The documentation for this class was generated from the following files:

- CDRContentCollector.h
- CDRContentCollector.cpp